package ch.unige.solidify.service;

import java.security.Principal;
import javax.servlet.http.HttpServletRequest;

import org.springframework.util.MultiValueMap;

public interface AuthenticationStorage {
  public MultiValueMap<String, String> getHeadersWithAuthorization();
  public Principal getPrincipal();
  public void storeAuthentication(Principal principal, HttpServletRequest request);
}
