package ch.unige.solidify.test.controller.service;

import org.springframework.stereotype.Service;

import ch.unige.solidify.service.AuthenticationStorageProxy;
import ch.unige.solidify.service.MessageService;
import ch.unige.solidify.service.SolidifyRestClientService;
import ch.unige.solidify.util.RestClientTool;

@Service
public class ApplicationRestClientService extends SolidifyRestClientService {

  public ApplicationRestClientService(MessageService messageService, RestClientTool restClientTool,
          AuthenticationStorageProxy authenticationStorageProxy) {
    super(restClientTool, messageService, authenticationStorageProxy);
  }
}