package ch.unige.solidify.test.specification.dao;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
public class MockUserInfo {
  private boolean adminuser;
  private String info;

  @Id
  @Column(name = "info_id")
  private String infoId;

  public MockUserInfo() {
    super();
  }

  public MockUserInfo(String id, String info) {
    this.infoId = id;
    this.info = info;
  }

  public MockUserInfo(String id, String info, boolean isAdmin) {
    this.infoId = id;
    this.info = info;
    this.adminuser = isAdmin;
  }

  public String getInfo() {
    return this.info;
  }

  public String getInfoId() {
    return this.infoId;
  }

  public boolean isAdminuser() {
    return this.adminuser;
  }

  public void setAdminuser(boolean adminuser) {
    this.adminuser = adminuser;
  }

  public void setInfo(String info) {
    this.info = info;
  }

  public void setInfoId(String infoId) {
    this.infoId = infoId;
  }

}
