package ch.unige.solidify.util;

import java.time.OffsetDateTime;
import java.time.format.DateTimeFormatter;

import ch.unige.solidify.SolidifyConstants;

public class OffsetDateTimeAdapter {

  public static OffsetDateTime parseDateTime(String value) {
    return OffsetDateTime.parse(value);
  }

  public static String printDateTime(OffsetDateTime value) {
    return value.format(DateTimeFormatter.ISO_INSTANT);
  }

  /**
   * This constructor should not be called
   */
  private OffsetDateTimeAdapter() {
    throw new IllegalStateException(SolidifyConstants.TOOL_CLASS);
  }
}